org.apache.ignite.internal.mem

## Interface DirectMemoryRegion

All Known Implementing Classes:
  MappedFile, UnsafeChunk

    public interface DirectMemoryRegion

Interface for a direct memory region allocated by provider.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `address()`
`long` `size()`
`DirectMemoryRegion` `slice(long offset)` Gets a sub-region of this region starting from the given offset.

### Method Detail

#### address

    long address()

Returns:
  Region start address.

#### size

    long size()

Returns:
  Region size.

#### slice

    DirectMemoryRegion slice(long offset)

Gets a sub-region of this region starting from the given offset.

Parameters:
  `offset` - Offset within this region.
Returns:
  Sub-region.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022